
Ryzom - Feature # 1093

Status: Closed Priority: Normal
Author: kaetemi Category: Tools: Build Gamedata
Created: 09/19/2010 Assignee: kaetemi
Updated: 03/02/2012 Due date:
Subject: Improve gamedata build pipeline
Description

Improve usability of the gamedata build pipeline, and fix issues.

History
#1 - 09/19/2010 11:47 pm - kaetemi

Todo: 
- Add a w:/temp directory with randomly named subdirectories to use as working directories for temporary build files such as configurations etc.
- Add a w:/log directory to write the build log files outside of the script tree.
- Add generateDefaultCommonConfiguration(processes, projectName), generateDefaultEcosystemConfiguration(processes, ecosystemName),
generateDefaultContinentConfiguration(processes, continentName), etcetera style functions to simplify unnecessary duplicate data in the projects.py
and directories.py files.
- ...

#2 - 09/20/2010 12:27 am - kaetemi

- Add a dumb interactive script that creates the bat for virtual drives.

#3 - 03/02/2012 09:54 pm - kaetemi
- Status changed from Assigned to Closed

Now http://dev.ryzom.com/issues/1440
